%pellets_ca.m
clear; close all;
len=50; GRID=rand(len,len)>0.99;
colormap(gray(2));
g=9.81;  %gravity constant
w_Rho=1000; %density of fluid
p_Rho=11000; %density
p_m=0.050; %mass   
p_V=p_m/p_Rho; %volume

for i=1:50
    Fp=p_m*g.*GRID;
    Fa=w_Rho*g*p_V.*GRID;
    dF=Fp-Fa;
    [r c]=find(dF>0);
    r=r+1;
    r(r>=len)=len;
    ind=sub2ind(size(GRID),r,c);
    GRID=zeros(len,len);
    GRID(ind)=1;
    imagesc(GRID); pause(0.05);
end;